PATCH https://api.ap1.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.ap2.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.datadoghq.eu/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.ddog-gov.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.us2.ddog-gov.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.us3.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.us5.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id}
Overview Update the Agentless scan options for an activated subscription.
OAuth apps require the org_management authorization scope to access this endpoint.
Arguments Path Parameters subscription_id [required ]
The Azure subscription ID.
Request Body Data (required)
Expand All
Data object for updating the scan options of a single Azure subscription.
Attributes for updating Azure scan options configuration.
Indicates whether host compliance scanning is enabled.
Indicates if scanning for vulnerabilities in containers is enabled.
Indicates if scanning for vulnerabilities in hosts is enabled.
The Azure subscription ID.
Azure scan options resource type.
Allowed enum values: azure_scan_options
default: azure_scan_options
{
"data" : {
"attributes" : {
"compliance_host" : false ,
"vuln_containers_os" : false ,
"vuln_host_os" : false
},
"id" : "12345678-90ab-cdef-1234-567890abcdef" ,
"type" : "azure_scan_options"
}
} Response OK
Response object containing Azure scan options for a single subscription.
Expand All
Single Azure scan options entry.
Attributes for Azure scan options configuration.
Indicates whether host compliance scanning is enabled.
Indicates if scanning for vulnerabilities in containers is enabled.
Indicates if scanning for vulnerabilities in hosts is enabled.
The Azure subscription ID.
The type of the resource. The value should always be azure_scan_options.
Allowed enum values: azure_scan_options
default: azure_scan_options
{
"data" : {
"attributes" : {
"compliance_host" : false ,
"vuln_containers_os" : true ,
"vuln_host_os" : true
},
"id" : "12345678-90ab-cdef-1234-567890abcdef" ,
"type" : "azure_scan_options"
}
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
## default
#
# Path parameters export subscription_id = "12345678-90ab-cdef-1234-567890abcdef" # Curl command curl -X PATCH "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/agentless_scanning/accounts/azure/${subscription_id} " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"vuln_containers_os": false
},
"id": "12345678-90ab-cdef-1234-567890abcdef",
"type": "azure_scan_options"
}
}
EOF
"""
Update Azure scan options returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agentless_scanning_api import AgentlessScanningApi
from datadog_api_client.v2.model.azure_scan_options_input_update import AzureScanOptionsInputUpdate
from datadog_api_client.v2.model.azure_scan_options_input_update_data import AzureScanOptionsInputUpdateData
from datadog_api_client.v2.model.azure_scan_options_input_update_data_type import AzureScanOptionsInputUpdateDataType
body = AzureScanOptionsInputUpdate (
data = AzureScanOptionsInputUpdateData (
id = "12345678-90ab-cdef-1234-567890abcdef" ,
type = AzureScanOptionsInputUpdateDataType . AZURE_SCAN_OPTIONS ,
),
)
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = AgentlessScanningApi ( api_client )
response = api_instance . update_azure_scan_options ( subscription_id = "12345678-90ab-cdef-1234-567890abcdef" , body = body )
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Update Azure scan options returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: AgentlessScanningAPI . new
body = DatadogAPIClient :: V2 :: AzureScanOptionsInputUpdate . new ({
data : DatadogAPIClient :: V2 :: AzureScanOptionsInputUpdateData . new ({
id : "12345678-90ab-cdef-1234-567890abcdef" ,
type : DatadogAPIClient :: V2 :: AzureScanOptionsInputUpdateDataType :: AZURE_SCAN_OPTIONS ,
}),
})
p api_instance . update_azure_scan_options ( "12345678-90ab-cdef-1234-567890abcdef" , body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Update Azure scan options returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . AzureScanOptionsInputUpdate {
Data : & datadogV2 . AzureScanOptionsInputUpdateData {
Id : "12345678-90ab-cdef-1234-567890abcdef" ,
Type : datadogV2 . AZURESCANOPTIONSINPUTUPDATEDATATYPE_AZURE_SCAN_OPTIONS ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentlessScanningApi ( apiClient )
resp , r , err := api . UpdateAzureScanOptions ( ctx , "12345678-90ab-cdef-1234-567890abcdef" , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentlessScanningApi.UpdateAzureScanOptions`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `AgentlessScanningApi.UpdateAzureScanOptions`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Update Azure scan options returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentlessScanningApi ;
import com.datadog.api.client.v2.model.AzureScanOptions ;
import com.datadog.api.client.v2.model.AzureScanOptionsInputUpdate ;
import com.datadog.api.client.v2.model.AzureScanOptionsInputUpdateData ;
import com.datadog.api.client.v2.model.AzureScanOptionsInputUpdateDataType ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
AgentlessScanningApi apiInstance = new AgentlessScanningApi ( defaultClient );
AzureScanOptionsInputUpdate body =
new AzureScanOptionsInputUpdate ()
. data (
new AzureScanOptionsInputUpdateData ()
. id ( "12345678-90ab-cdef-1234-567890abcdef" )
. type ( AzureScanOptionsInputUpdateDataType . AZURE_SCAN_OPTIONS ));
try {
AzureScanOptions result =
apiInstance . updateAzureScanOptions ( "12345678-90ab-cdef-1234-567890abcdef" , body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AgentlessScanningApi#updateAzureScanOptions" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Update Azure scan options returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agentless_scanning ::AgentlessScanningAPI ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptionsInputUpdate ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptionsInputUpdateData ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptionsInputUpdateDataType ;
#[tokio::main]
async fn main () {
let body = AzureScanOptionsInputUpdate ::new (). data ( AzureScanOptionsInputUpdateData ::new (
"12345678-90ab-cdef-1234-567890abcdef" . to_string (),
AzureScanOptionsInputUpdateDataType ::AZURE_SCAN_OPTIONS ,
));
let configuration = datadog ::Configuration ::new ();
let api = AgentlessScanningAPI ::with_config ( configuration );
let resp = api
. update_azure_scan_options ( "12345678-90ab-cdef-1234-567890abcdef" . to_string (), body )
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Update Azure scan options returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . AgentlessScanningApi ( configuration );
const params : v2.AgentlessScanningApiUpdateAzureScanOptionsRequest = {
body : {
data : {
id : "12345678-90ab-cdef-1234-567890abcdef" ,
type : "azure_scan_options" ,
},
},
subscriptionId : "12345678-90ab-cdef-1234-567890abcdef" ,
};
apiInstance
. updateAzureScanOptions ( params )
. then (( data : v2.AzureScanOptions ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"